POST api/contractItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ContractItemViewModel
NameDescriptionTypeAdditional information
item_descriptions

Dictionary of string [key] and string [value]

None.

item_code

string

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "item_code": "sample string 1",
  "selected_sticker_id": "82c7a8ae-86ff-4cf8-b5bc-3ad210af3f5f",
  "selected_nameplate_id": "d2c73e09-36f6-49e9-8bfe-a2573336899d",
  "active": true,
  "contract_id": "6a324734-4c00-4637-825e-d08152295838",
  "id": "e34104c0-3ef5-44a1-8218-bac482cae1d4",
  "physical_item_id": "02ed5e21-c541-4e69-85a4-54591f74a957",
  "service_item_id": "9e375c0b-707c-401a-877a-7421e3d67e1b",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <contract_id>6a324734-4c00-4637-825e-d08152295838</contract_id>
  <id>e34104c0-3ef5-44a1-8218-bac482cae1d4</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>02ed5e21-c541-4e69-85a4-54591f74a957</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>9e375c0b-707c-401a-877a-7421e3d67e1b</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>d2c73e09-36f6-49e9-8bfe-a2573336899d</selected_nameplate_id>
  <selected_sticker_id>82c7a8ae-86ff-4cf8-b5bc-3ad210af3f5f</selected_sticker_id>
</contract_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"db40fa95-cbe7-4634-95de-7bafe9988a22"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">db40fa95-cbe7-4634-95de-7bafe9988a22</guid>